Package io.yellowbrick.jdbc.dialog

## Class DeviceCodeDialog

- java.lang.Object
- - io.yellowbrick.jdbc.dialog.DeviceCodeDialog

    public final class DeviceCodeDialog
    extends Object

Device code flow dialog using AWT

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(String[] args)`
`static Runnable` `show​(String deviceAuthUrl, String deviceAuthCode, Consumer<Boolean> result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### show

    public static Runnable show​(String deviceAuthUrl,
                                String deviceAuthCode,
                                Consumer<Boolean> result)

#### main

    public static void main​(String[] args)